HaruDoc::loadPNG
HaruDoc::loadTTC
HaruDoc
PHP Manual

# HaruDoc::loadRaw

(PECL haru:0.0.1)

HaruDoc::loadRaw — Load a RAW image

### Description

object HaruDoc::loadRaw ( string `$filename` , int `$width` , int `$height` , int `$color_space` )

Loads a RAW image.

### Parameters

`filename`

  The name of a RAW image file.

`width`

  The width of the image.

`height`

  The height of the image.

`color_space`

  The color space of the image. Can be one of the following values:

  - `HaruDoc::CS_DEVICE_GRAY`
  - `HaruDoc::CS_DEVICE_RGB`
  - `HaruDoc::CS_DEVICE_CMYK`

### Return Values

Returns a HaruImage instance.

### Errors/Exceptions

Throws HaruException on error.

### See Also

- HaruDoc::loadJPEG()
- HaruDoc::loadPNG()

HaruDoc::loadPNG
HaruDoc::loadTTC
HaruDoc
PHP Manual